import java.awt.*;
import java.applet.Applet;


public class BinLearn extends Applet {

Button left, right, reset;
Label score1, score2, top, bottom, trials;
Label lpayoff[][], blank[];
double payoff1[][], payoff2[][];
Judge judge;
Graph graph;

    public void init() {

        setLayout(new GridLayout(0,3));

		payoff1=new double[2][2];
		payoff2=new double[2][2];
		payoff1[0][0]=4;
		payoff1[1][0]=0;
		payoff1[0][1]=0;
		payoff1[1][1]=3;

		payoff2[0][0]=2;
		payoff2[1][0]=6;
		payoff2[0][1]=0;
		payoff2[1][1]=4;

		double payoff3[][] = new double[2][2];
		for (int i=0; i<2; i++) {
			for (int j=0; j<2; j++) payoff3[i][j]=payoff1[i][j]/4;
		}

		Fictitious.setPayoff(payoff3);

		lpayoff=new Label[2][2];
		for (int i=0; i<2; i++){
			for (int j=0; j<2; j++){
				lpayoff[i][j]=new Label();
				lpayoff[i][j].setText("("
					+(float)payoff1[i][j]+", "
					+(float)payoff2[i][j]+")");
			}
		}


		setBackground(new Color(205,199,182));

		
		trials = new Label();

		blank = new Label [10];
		for (int i=0; i<10; i++) blank[i]=new Label();
		
        left = new Button("Left");
        right = new Button("Right");
		reset = new Button("Reset"); 
		score1 = new Label();		
		score2 = new Label();
		top = new Label();
		bottom = new Label();
		graph = new Graph(2);
        


		judge = new Judge(score1,score2,trials,top,bottom,graph);

		judge.setPayoff(payoff1,payoff2);

		
      	blank[0].setText("Row Probability");
			add(blank[0]);add(left);add(right);
		add(top); 
			for(int i=0; i<2; i++) {
				add(lpayoff[0][i]);
			}
		add(bottom);
			for(int i=0; i<2; i++) {
				add(lpayoff[1][i]);
			}


		add(trials);

		add(score1);

		add(score2);

		add(reset);

		add(graph);

        //Necessary when adding buttons to an already visible container:
        validate();	
    }

    public boolean action(Event e, Object arg) {
        Object target = e.target;
         
        if (target == left) {
			judge.update(true);
			graph.repaint();
            return true;
        }
        if (target == right) {
			judge.update(false);
			graph.repaint();
            return true;
        }
		if (target == reset) {
			graph.reset(2);
			judge = new Judge(score1,score2,trials,top,bottom,graph);
			judge.setPayoff(payoff1,payoff2);
			graph.repaint();
		   return true;
		}
        return false;
    }
}